from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XChangeBroadcaster(XInterface, Protocol):
    def addChangeListener(self, aListener: XChangeListener) -> None: ...
    def removeChangeListener(self, aListener: XChangeListener) -> None: ...
